StackMoreLayersДокументация
APIReference

Опубликовать соревнование

POST
/competitions/{competition_id}/publish/
АвторизацияBearer <token>

StackMoreLayers API token. Send as Authorization: Bearer sml_pat_live_<prefix>.<secret>.

In: header

Параметры пути

competition_id*integer

Numeric competition identifier.

Range1 <= value

Заголовки

Idempotency-Key?string

Opaque client-generated key. A retry with the same key and body returns the original result instead of repeating the effect.

Match^[!-~]+$
Length8 <= length <= 128

Ответ

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/competitions/1/publish/"
{  "competition_mode": "scheduled",  "id": 0,  "title": "string",  "slug": "string",  "short_description": "string",  "cover_image_alt": "string",  "description": "string",  "published": true,  "competition_type": "string",  "visibility_scope": "string",  "created_when": "2019-08-24T14:15:22Z",  "reward": "string",  "contact_email": "string",  "terms": "string",  "auto_run_submissions": true,  "registration_auto_approve": true,  "enable_detailed_results": true,  "show_detailed_results_in_submission_panel": true,  "show_detailed_results_in_leaderboard": true,  "can_participants_make_submissions_public": true,  "forum_enabled": true,  "manifest_mode_enabled": true,  "forbid_data_download": true,  "allow_late_submissions": true,  "retain_all_notebook_snapshots": true,  "default_notebook_policy_id": 0,  "dataset_namespace": "string",  "mlflow_namespace": "string",  "topics": [    "string"  ],  "host_organization_name": "string",  "host_organization_url": "string",  "phases": [    {      "personal_time_limit_seconds": 1,      "id": 0,      "index": 0,      "name": "string",      "description": "string",      "start": "2019-08-24T14:15:22Z",      "end": "2019-08-24T14:15:22Z",      "max_submissions_per_day": 0,      "max_submissions_per_person": 0,      "submission_kind": "string",      "has_max_submissions": true,      "allow_notebook_submit": true,      "final_selection_max": 0,      "public_data_binding_mode": "string",      "binding": {        "state": "string",        "revision": 1,        "method": {          "digest": "string",          "kind": "string",          "name": "string",          "metric": {            "key": "string",            "label": "string",            "direction": "string"          }        },        "solution_ready": true,        "solution_build_pending": true,        "submission_format": {          "format": "string",          "columns": [            {              "name": "string",              "type": "string"            }          ]        },        "accepts_submissions": true      },      "leaderboard_title": "string",      "primary_metric_title": "string",      "primary_metric_key": "string",      "primary_metric_sort": "string"    }  ]}